/*
   Kickshaw - A Menu Editor for Openbox

   Copyright (c) 2010–2022        Marcus Schätzle

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along 
   with Kickshaw. If not, see http://www.gnu.org/licenses/.
*/

#ifndef __find_h
#define __find_h

extern ks_data ks;

extern void change_view_and_options_GMenu (GSimpleAction *simple_action, GVariant *parameter, gpointer key_str_pointer);
extern gboolean check_if_regex_is_valid (GtkWidget *regex_checkbox, GtkWidget *entry_field);
extern void find_in_columns_management (const gboolean origin_is_fr, GtkWidget **in_columns, GtkWidget *in_all_columns, 
                                        gulong *handler_ids, const gchar *column_check_button_clicked);
extern guint32 get_compile_options (const gboolean find_and_replace);
extern gboolean regex_match_simple (const gchar *regex_str, const gchar *string, const guint32 compile_options, const guint32 match_options);
extern void visually_indicate_request_for_user_intervention (GtkWidget *widget, GtkCssProvider *css_provider);

#endif
